Define full invoice crypto-currency
Defines cryptocurrency for the created full invoice
POST https://app.thedex.cloud/api/v1/invoices/currency
Headers
X-EX-APIKEY*
String
Your API key
X-EX-PAYLOAD*
String
Body to base64
X-EX-SIGNATURE*
String
Encrypted body with the secret key
Request Body
{
"invoiceId": "String",
"payCurrency": "String"
}Request JSON attributes
invoiceId*
String
ID of Invoice for defining
Response body
{
"invoiceId": "String",
"purse": "String",
"amount": "String",
"currency": "String",
"amountInPayCurrency": "String",
"payCurrency": "String",
"blockchainFee": "String"
}General validation error: missing or malformed parameters.
{
"error": "Bad Request",
"status": 400,
"timestamp": "2026-01-01 00:00:00",
"message": "payCurrency: following value doesn't valid. "
}Specific field validation error. (Minimal limits, etc)
{
"error": "Unprocessable Entity",
"status": 422,
"timestamp": "2026-01-01 00:00:00",
"message": "Minimal limit amount doesn't exceed"
}{
"error": "Unprocessable Entity",
"status": 422,
"timestamp": "2026-01-01 00:00:00",
"message": "Requested payCurrency is not active"
}{
"error": "Unprocessable Entity",
"status": 422,
"timestamp": "2026-01-01 00:00:00",
"message": "Currency has been applied already"
}When try to define payCurrency for another merchant invoice.
Not found invoice, blockchain or server side problem.
Response JSON attributes
"invoiceId"
String
Invoice id
"purse"
String
Purse
"amount"
String
Amount of fiat currency
"amountInpayCurrency"
String
Amount of cryptocurrency after convertion
"blockchainFee"
String
Deposit blockchain fee
Curl request
Example Curl
Last updated